# HG changeset patch
# Node ID beb8a42a5e53
# Parent  1ff93165215c
diff --git a/libpurple/account.h b/libpurple/account.h
--- a/libpurple/account.h
+++ b/libpurple/account.h
@@ -361,17 +361,25 @@ void purple_account_set_status_types(Pur
 
 /**
  * purple_account_set_status:
- * @account:   The account.
+ * @account: The account.
  * @status_id: The ID of the status.
- * @active:    Whether @a status_id is to be activated (%TRUE) or
- *             deactivated (%FALSE).
- * @...:       A %NULL-terminated list of pairs of <type>const char *</type>
- *             attribute name followed by <type>const char *</type> attribute
- *             value for the status. (For example, one pair might be
- *             <literal>"message"</literal> followed by
- *             <literal>"hello, talk to me!"</literal>.)
+ * @active: Whether @status_id is to be activated (%TRUE) or deactivated
+ *          (%FALSE).
+ * @...: A %NULL-terminated list of pairs of `const char *` attribute name
+ *       followed by `const char *` attribute value for the status. (For
+ *       example, one pair might be `"message"` followed by `"hello, talk to
+ *       me!"`.)
+ *
+ * Activates or deactivates a status.
  *
- * Variadic version of purple_account_set_status_attrs().
+ * All changes to the statuses of an account go through this function or
+ * [method@Purple.Account.set_status_attrs].
+ *
+ * You can only deactivate an exclusive status by activating another exclusive
+ * status. So, if @status_id is an exclusive status and @active is %FALSE, this
+ * function does nothing.
+ *
+ * Variadic version of [method@Purple.Account.set_status_attrs].
  */
 void purple_account_set_status(PurpleAccount *account, const char *status_id,
 	gboolean active, ...) G_GNUC_NULL_TERMINATED;
@@ -379,22 +387,23 @@ void purple_account_set_status(PurpleAcc
 
 /**
  * purple_account_set_status_attrs:
- * @account:   The account.
+ * @account: The account.
  * @status_id: The ID of the status.
- * @active:    Whether @a status_id is to be activated (%TRUE) or
- *             deactivated (%FALSE).
- * @attrs:     (element-type utf8 gpointer): A hash table of
- *             <type>const char *</type> attribute names followed by
- *             <type>gpointer</type> attribute values for the status.
- *             (For example, one pair might be <literal>"message"</literal>
- *             followed by <literal>"hello, talk to me!"</literal>.)
+ * @active: Whether @status_id is to be activated (%TRUE) or deactivated
+ *          (%FALSE).
+ * @attrs: (element-type utf8 utf8): A hash table with keys of attribute
+ *         names and values of attributes for the status. (For example, one
+ *         pair might be a key of `"message"` with a value of `"hello, talk to
+ *         me!"`.)
  *
- * Activates or deactivates a status.  All changes to the statuses of
- * an account go through this function or purple_account_set_status().
+ * Activates or deactivates a status.
+ *
+ * All changes to the statuses of an account go through this function or
+ * [method@Purple.Account.set_status].
  *
  * You can only deactivate an exclusive status by activating another exclusive
- * status.  So, if @a status_id is an exclusive status and @a active is @c
- * FALSE, this function does nothing.
+ * status. So, if @status_id is an exclusive status and @active is %FALSE, this
+ * function does nothing.
  *
  * Since: 3.0.0
  */
@@ -622,7 +631,7 @@ gboolean purple_account_get_enabled(Purp
  *
  * Returns the account's proxy information.
  *
- * Returns (transfer none): The proxy information.
+ * Returns: (transfer none): The proxy information.
  */
 PurpleProxyInfo *purple_account_get_proxy_info(PurpleAccount *account);
 
@@ -989,7 +998,7 @@ gboolean purple_account_supports_offline
  * Returns: (transfer none): The type of error and a human-readable description
  *          of the current error, or %NULL if there is no current error.  This
  *          pointer is guaranteed to remain valid until the @ref
- *          account-error-changed signal is emitted for @a account.
+ *          account-error-changed signal is emitted for @account.
  */
 const PurpleConnectionErrorInfo *purple_account_get_current_error(PurpleAccount *account);
 
diff --git a/libpurple/buddyicon.h b/libpurple/buddyicon.h
--- a/libpurple/buddyicon.h
+++ b/libpurple/buddyicon.h
@@ -155,10 +155,9 @@ void purple_buddy_icon_update(PurpleBudd
 /**
  * purple_buddy_icon_set_data:
  * @icon: The buddy icon.
- * @data: The buddy icon data, which the buddy icon code
- *             takes ownership of and will free.
- * @len:  The length of the data in @a data.
- * @checksum:  A protocol checksum from the protocol or %NULL.
+ * @data: (transfer full): The buddy icon data.
+ * @len: The length of the data in @data.
+ * @checksum: A protocol checksum from the protocol or %NULL.
  *
  * Sets the buddy icon's data.
  */
@@ -271,12 +270,11 @@ purple_buddy_icon_get_full_path(PurpleBu
 
 /**
  * purple_buddy_icons_set_for_user:
- * @account:   The account the user is on.
- * @username:  The username of the user.
- * @icon_data: The buddy icon data, which the buddy icon code
- *                  takes ownership of and will free.
- * @icon_len:  The length of the icon data.
- * @checksum:  A protocol checksum from the protocol or %NULL.
+ * @account: The account the user is on.
+ * @username: The username of the user.
+ * @icon_data: (transfer full): The buddy icon data.
+ * @icon_len: The length of the icon data.
+ * @checksum: A protocol checksum from the protocol or %NULL.
  *
  * Sets a buddy icon for a user.
  */
diff --git a/libpurple/idle.h b/libpurple/idle.h
--- a/libpurple/idle.h
+++ b/libpurple/idle.h
@@ -61,10 +61,9 @@ void purple_idle_set(time_t time);
 
 /**
  * purple_idle_set_ui:
- * @ui: An instance of [iface@IdleUi].
+ * @ui: (transfer full): An instance of [iface@IdleUi].
  *
- * Sets the user interface idle reporter. This function assumes ownership of
- * @ui.
+ * Sets the user interface idle reporter.
  *
  * Since: 3.0.0
  */
diff --git a/libpurple/proxy.h b/libpurple/proxy.h
--- a/libpurple/proxy.h
+++ b/libpurple/proxy.h
@@ -44,7 +44,7 @@ G_BEGIN_DECLS
  *
  * Returns purple's global proxy information.
  *
- * Returns: The global proxy information.
+ * Returns: (transfer none): The global proxy information.
  */
 PurpleProxyInfo *purple_global_proxy_get_info(void);
 
@@ -89,7 +89,7 @@ void purple_proxy_uninit(void);
  *
  * Returns configuration of a proxy.
  *
- * Returns: The configuration of a proxy.
+ * Returns: (transfer none): The configuration of a proxy.
  */
 PurpleProxyInfo *purple_proxy_get_setup(PurpleAccount *account);
 
diff --git a/libpurple/purpleaccountoption.h b/libpurple/purpleaccountoption.h
--- a/libpurple/purpleaccountoption.h
+++ b/libpurple/purpleaccountoption.h
@@ -53,10 +53,10 @@ GType purple_account_option_get_type(voi
  * @text:      The text of the option.
  * @pref_name: The account preference name for the option.
  *
- * Creates a new account option.  If you know what @a type will be in advance,
- * consider using purple_account_option_bool_new(),
- * purple_account_option_int_new(), purple_account_option_string_new() or
- * purple_account_option_list_new() (as appropriate) instead.
+ * Creates a new account option. If you know what @type will be in advance,
+ * consider using [ctor@Purple.AccountOption.bool_new],
+ * [ctor@Purple.AccountOption.int_new], [ctor@Purple.AccountOption.string_new]
+ * or [ctor@Purple.AccountOption.list_new] (as appropriate) instead.
  *
  * Returns: The account option.
  */
@@ -238,8 +238,8 @@ const gchar *purple_account_option_get_t
  * purple_account_option_get_setting:
  * @option: The account option.
  *
- * Returns the name of an account option.  This corresponds to the @c pref_name
- * parameter supplied to purple_account_option_new() or one of the
+ * Returns the name of an account option. This corresponds to the %pref_name
+ * parameter supplied to [ctor@Purple.AccountOption.new] or one of the
  * type-specific constructors.
  *
  * Returns: The option's name.
diff --git a/libpurple/purplecontact.h b/libpurple/purplecontact.h
--- a/libpurple/purplecontact.h
+++ b/libpurple/purplecontact.h
@@ -191,8 +191,8 @@ void purple_contact_set_avatar(PurpleCon
  *
  * Gets the [class@Purple.Presence] for @contact.
  *
- * Returns: (nullable): The presence for @contact if one is set, otherwise
- *          %NULL.
+ * Returns: (transfer none) (nullable): The presence for @contact if one is
+ *          set, otherwise %NULL.
  *
  * Since: 3.0.0
  */
diff --git a/libpurple/purpleprotocolwhiteboard.h b/libpurple/purpleprotocolwhiteboard.h
--- a/libpurple/purpleprotocolwhiteboard.h
+++ b/libpurple/purpleprotocolwhiteboard.h
@@ -82,7 +82,7 @@ G_BEGIN_DECLS
  *
  * Since: 3.0.0
  */
-PurpleWhiteboard *purple_protocol_whiteboard_create(PurpleProtocolWhiteboard *actions, PurpleAccount *account, const gchar *who, gint state);
+PurpleWhiteboard *purple_protocol_whiteboard_create(PurpleProtocolWhiteboard *whiteboard, PurpleAccount *account, const gchar *who, gint state);
 
 G_END_DECLS
 
